> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset a Sandbox Workspace

> Resets the [sandbox workspace](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces) associated with the authentication value. Note that this endpoint is only available for sandbox workspaces.



## OpenAPI

````yaml /openapi.json post /workspaces/reset_sandbox
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /workspaces/reset_sandbox:
    post:
      tags:
        - /workspaces
      summary: Reset a Sandbox Workspace
      description: >-
        Resets the [sandbox
        workspace](https://docs.seam.co/core-concepts/workspaces#sandbox-workspaces)
        associated with the authentication value. Note that this endpoint is
        only available for sandbox workspaces.
      operationId: workspacesResetSandboxPost
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  action_attempt:
                    type: object
                    description: >-
                      Tracks the progress of this operation. Poll using the
                      action_attempt_id.
                    properties:
                      action_attempt_id:
                        type: string
                        format: uuid
                        description: ID of the action attempt.
                      action_type:
                        type: string
                        enum:
                          - RESET_SANDBOX_WORKSPACE
                        description: Type of action being tracked.
                      status:
                        type: string
                        enum:
                          - pending
                          - success
                          - error
                        description: Current status of the action.
                      result:
                        type: object
                        nullable: true
                        description: Result payload on success.
                      error:
                        type: object
                        nullable: true
                        description: Error details on failure.
                        properties:
                          type:
                            type: string
                          message:
                            type: string
                    required:
                      - action_attempt_id
                      - action_type
                      - status
                  ok:
                    type: boolean
                required:
                  - action_attempt
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.workspaces.resetSandbox();

            /*
            {
              "action_attempt_id": "f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",
              "action_type": "RESET_SANDBOX_WORKSPACE",
              "error": null,
              "result": {},
              "status": "success"
            }
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/workspaces/reset_sandbox" \
              --header "Authorization: Bearer $SEAM_API_KEY"

            # Response:

            # {

            #   "action_attempt": {

            #     "action_attempt_id": "f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",

            #     "action_type": "RESET_SANDBOX_WORKSPACE",

            #     "error": null,

            #     "result": {},

            #     "status": "success"

            #   }

            # }
        - lang: python
          label: Seam SDK
          source: |-
            seam.workspaces.reset_sandbox()

            # ActionAttempt(
                action_attempt_id="f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",
                action_type="RESET_SANDBOX_WORKSPACE",
                error=None,
                result={},
                status="success",
            )
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.workspaces.reset_sandbox()

            # => {
              "action_attempt_id" => "f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",
              "action_type" => "RESET_SANDBOX_WORKSPACE",
              "error" => nil,
              "result" => {
              },
              "status" => "success",
            }
        - lang: php
          label: Seam SDK
          source: |-
            $seam->workspaces->reset_sandbox();

            // [
                "action_attempt_id" => "f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",
                "action_type" => "RESET_SANDBOX_WORKSPACE",
                "error" => null,
                "result" => [],
                "status" => "success",
            ];
        - lang: bash
          label: Seam CLI
          source: |-
            seam workspaces reset-sandbox

            # {
            #   "action_attempt_id": "f8e7d6c5-4b3a-2c1d-9e0f-8a7b6c5d4e3f",
            #   "action_type": "RESET_SANDBOX_WORKSPACE",
            #   "error": null,
            #   "result": {},
            #   "status": "success"
            # }
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````